clear;
%% Initialisation of global variables
global SCORE_NOT_NORMALIZED SCORE_NORMALIZED;
SCORE_NOT_NORMALIZED=0;% Do not normalize -> favors peak values (scoreMode~=1)
SCORE_NORMALIZED=1;% Normalize the scores for each datapoint

global REFERENCE_LONGESTROISET REFERENCE_MOSTMEASUREDDATA; 
REFERENCE_LONGESTROISET=1; % reference track is the longest
REFERENCE_MOSTMEASUREDDATA=2; % reference track is the one with the largest number of measured values

%% Initialisation of parameters for alignment method
interpolationMethod='linear'; % Method used in interpolation of datasets
scoreXStepSize=0.1; % Step size for the score (~RMSD) calculation
precision=0.01; % Precision of the final offset 
spillover=2; % Size of interval for non-overlaping data (see comments in getContinuousBestAlignment for more info and examples)
% Scoring method
scoreMode=SCORE_NOT_NORMALIZED; % Do not normalize -> favors peak values (scoreMode~=1)
% scoreMode=SCORE_NORMALIZED; % Normalize the scores for each datapoint

 
tools=ToolboxAlignment(); % creation of the toolbox with the alignment method


tSampled=0:0.5:pi;
n=length(tSampled);
originalOffset=0.7;
datasetReference=sin(tSampled);
datasetToAlign=sin(tSampled+originalOffset);


figure(1); clf; hold on;
plot(tSampled,datasetReference,'b.-');
plot(tSampled,datasetToAlign,'r.-');



[bestContinuousScore,bestContinuousOffset,scoreFunction,functionRefArray,functionMyArray,score,offSets]=...
        tools.getContinuousBestAlignment(datasetReference,tSampled,datasetToAlign,tSampled,1,n,scoreXStepSize,precision,interpolationMethod,spillover,scoreMode);
   
figure(2); clf; hold on;
plot(tSampled,datasetReference,'b.-');
plot(tSampled+bestContinuousOffset,datasetToAlign,'r.-');
   
bestContinuousOffset % recovered offset


    

